Skip to content

Get a profile’s WHUF price guarantee

GET
/whuffies/price-guarantee
curl --request GET \
--url 'https://api.ethos.network/api/v2/whuffies/price-guarantee?profileId=1'

The amount of WHUF purchased in the auction that is eligible for the 85% guarantee. This amount must remain continuously vouched during the guarantee period to maintain the guarantee.

profileId
required
integer
> 0 <= 2147483647

Successful response

Media typeapplication/json
object
asOf
required
string | null
asOfBlock
required
Any of:
integer format: int64
expiresAt
required
string | null
guaranteedWei
required
Any of:
integer format: int64
initialGuaranteedWei
required
Any of:
integer format: int64
payoutTxHashes
required
Array<string>
purchasedWei
required
Any of:
integer format: int64
status
required
string
Allowed values: active expired not_eligible pending
unlockedAt
required
string | null
vouchedWei
required
Any of:
integer format: int64

Example

{
"status": "active"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}